package ub.scp2.boImpl;

import java.util.List;

import ub.scp2.bo.LanguajeBo;
import ub.scp2.dao.LanguajeDao;
import ub.scp2.entities.Languaje;

/**
 * LanguajeBoImpl.java -this class implements the LanguajeBo. This is the Business Object of the Languaje entity 
 * 
 *
 */
public class LanguajeBoImpl implements LanguajeBo, java.io.Serializable {
	
	private LanguajeDao languajedao;

	@Override
	public List<Languaje> getLanguajeList() {
		return languajedao.getLanguajeList();
	}
	public void setLanguajedao(LanguajeDao languajedao) {
		this.languajedao = languajedao;
	}
	

	public Languaje getLanguajeById(Integer languajeId){
		return languajedao.getLanguajeById(languajeId);
	}
}
